# eric7.QScintilla.APIsManager

Module implementing the APIsManager.

### Global Attributes

None

### Classes

APIs | Class implementing an API storage entity.
APIsManager | Class implementing the APIsManager class, which is the central store for API information used by autocompletion and calltips.

### Functions

None

## APIs

Class implementing an API storage entity.

### Signals

apiPreparationCancelled()
  emitted after the API preparation has been cancelled
apiPreparationFinished()
  emitted after the API preparation has finished
apiPreparationStarted()
  emitted after the API preparation has started

### Derived from

QObject

### Class Attributes

None

### Class Methods

None

### Methods

APIs | Constructor
__apiPreparationCancelled | Private method called, after the API preparation process has been cancelled.
__apiPreparationFinished | Private method called to save an API, after it has been prepared.
__apiPreparationStarted | Private method called, when the API preparation process started.
__loadAPIs | Private method to load the APIs.
__preparedName | Private method returning the default name of a prepared API file.
cancelPreparation | Public slot to cancel the APIs preparation.
getQsciAPIs | Public method to get a reference to QsciAPIs object.
installedAPIFiles | Public method to get a list of installed API files.
isEmpty | Public method to check, if the object has API files configured.
prepareAPIs | Public method to prepare the APIs if necessary.
reloadAPIs | Public method to reload the API information.

### Static Methods

None

#### APIs (Constructor)

APIs(language, projectType="", forPreparation=False, parent=None)

Constructor

language (str)
  language of the APIs object
projectType (str)
  type of the project
forPreparation (bool)
  flag indicating this object is just needed for a preparation process
parent (QObject)
  reference to the parent object

#### APIs.__apiPreparationCancelled

__apiPreparationCancelled()

Private method called, after the API preparation process has been cancelled.

#### APIs.__apiPreparationFinished

__apiPreparationFinished()

Private method called to save an API, after it has been prepared.

#### APIs.__apiPreparationStarted

__apiPreparationStarted()

Private method called, when the API preparation process started.

#### APIs.__loadAPIs

__loadAPIs()

Private method to load the APIs.

#### APIs.__preparedName

__preparedName()

Private method returning the default name of a prepared API file.

Return:
  complete filename for the Prepared APIs file (string)

#### APIs.cancelPreparation

cancelPreparation()

Public slot to cancel the APIs preparation.

#### APIs.getQsciAPIs

getQsciAPIs()

Public method to get a reference to QsciAPIs object.

Return:
  reference to the QsciAPIs object (QsciAPIs)

#### APIs.installedAPIFiles

installedAPIFiles()

Public method to get a list of installed API files.

Return:
  list of installed API files (list of strings)

#### APIs.isEmpty

isEmpty()

Public method to check, if the object has API files configured.

Return:
  flag indicating no API files have been configured (boolean)

#### APIs.prepareAPIs

prepareAPIs(ondemand=False, rawList=None)

Public method to prepare the APIs if necessary.

ondemand
  flag indicating a requested preparation (boolean)
rawList
  list of raw API files (list of strings)

#### APIs.reloadAPIs

reloadAPIs()

Public method to reload the API information.

Up

## APIsManager

Class implementing the APIsManager class, which is the central store for API information used by autocompletion and calltips.

### Derived from

QObject

### Class Attributes

None

### Class Methods

None

### Methods

APIsManager | Constructor
getAPIs | Public method to get an APIs object for autocompletion/calltips.
reloadAPIs | Public slot to reload the api information.

### Static Methods

None

#### APIsManager (Constructor)

APIsManager(parent=None)

Constructor

parent
  reference to the parent object (QObject)

#### APIsManager.getAPIs

getAPIs(language, projectType="", forPreparation=False)

Public method to get an APIs object for autocompletion/calltips.

This method creates and loads an APIs object dynamically upon request. This saves memory for languages, that might not be needed at the moment.

language (str)
  language of the requested APIs object
projectType (str)
  type of the project
forPreparation (bool)
  flag indicating the requested APIs object is just needed for a preparation process

Return:
  reference to the APIs object

Return Type:
  APIs

#### APIsManager.reloadAPIs

reloadAPIs()

Public slot to reload the api information.

Up